Skip to main content
GET
/
powerpath
/
screening
/
session
/
{userId}
Get session
curl --request GET \
  --url https://api.alpha-1edtech.ai/powerpath/screening/session/{userId} \
  --header 'Authorization: Bearer <token>'
{
  "nweaStudentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdOn": "2023-11-07T05:31:56Z",
  "password": "<string>",
  "name": "<string>",
  "proctorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "pin": "<string>",
  "testSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "assignment": {
    "assignedTestKey": "<string>"
  },
  "termId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.timeback.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

userId
string
required

User ID

Response

Session

nweaStudentId
string<uuid>
required
createdOn
string<date-time>
required
password
string
required
name
string
required
proctorId
string<uuid>
required
pin
string
required
testSessionId
string<uuid>
required
status
enum<string>
required
Available options:
active,
inactive
assignment
object
required
termId
string
required